Package com.avaya.clientservices.network.util

## Class DefaultPortResolver

- java.lang.Object
- - com.avaya.clientservices.network.util.DefaultPortResolver

-     public class DefaultPortResolver
      extends java.lang.Object

  If given URI does not contain any port number then this helper class will add default port for used protocol/scheme.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `HTTP_DEFAULT_PORT` |
    `static java.lang.String` | `HTTP_SCHEME` |
    `static int` | `HTTPS_DEFAULT_PORT` |
    `static java.lang.String` | `HTTPS_SCHEME` |
    `static int` | `WS_DEFAULT_PORT` |
    `static java.lang.String` | `WS_SCHEME` |
    `static int` | `WSS_DEFAULT_PORT` |
    `static java.lang.String` | `WSS_SCHEME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPortResolver()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.net.URI` | `resolve​(java.net.URI uri)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WS_SCHEME

          public static final java.lang.String WS_SCHEME

      See Also:
        Constant Field Values

    - #### WSS_SCHEME

          public static final java.lang.String WSS_SCHEME

      See Also:
        Constant Field Values

    - #### HTTP_SCHEME

          public static final java.lang.String HTTP_SCHEME

      See Also:
        Constant Field Values

    - #### HTTPS_SCHEME

          public static final java.lang.String HTTPS_SCHEME

      See Also:
        Constant Field Values

    - #### WS_DEFAULT_PORT

          public static final int WS_DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### WSS_DEFAULT_PORT

          public static final int WSS_DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### HTTP_DEFAULT_PORT

          public static final int HTTP_DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### HTTPS_DEFAULT_PORT

          public static final int HTTPS_DEFAULT_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultPortResolver

          public DefaultPortResolver()

  - ### Method Detail

    - #### resolve

          public static java.net.URI resolve​(java.net.URI uri)
                                      throws java.net.URISyntaxException

      Throws:
        `java.net.URISyntaxException`